Subject: Re: [PATCH] gnu: QGIS: Build without QtWebKit.

From: Guillaume Le Vaillant <[email-masked]>
Date: Tue, 25 Jan 2022 11:05:50 +0000

Leo Famulari <[email-masked]> skribis:

> See <https://issues.guix.gnu.org/53289> for more information about this change.
>
> With this change, the build fails due to some tests timing out.
>
> I don't use QGIS, so it's not easy for me to understand the problem or
> if it's okay to add tese tests to the long list of disabled tests. I
> also could not find any online discussion about these tests timing out.
>
> * gnu/packages/geo.scm (qgis)[inputs]: Remove qtwebkit.
> [arguments]: Pass "-DWITH_QTWEBKIT=NO" to #:configure-flags.
> ---
>  gnu/packages/geo.scm | 3 ++-
>  1 file changed, 2 insertions(+), 1 deletion(-)
>
> diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
> index 287b157b60..05591b7ce7 100644
> --- a/gnu/packages/geo.scm
> +++ b/gnu/packages/geo.scm
> @@ -2274,6 +2274,8 @@ (define-public qgis
>         #:imported-modules (,@%cmake-build-system-modules
>                             (guix build python-build-system)
>                             (guix build qt-utils))
> +       #:configure-flags
> +       '("-DWITH_QTWEBKIT=NO")
>         #:phases
>         (modify-phases %standard-phases
>           ;; Configure correct path to PyQt5 SIP directory
> @@ -2490,7 +2492,6 @@ (define-public qgis
>             qtlocation
>             qtserialport
>             qtsvg
> -           qtwebkit
>             qwt
>             ;;("saga" ,saga)
>             sqlite))

It looks like the failing tests are trying to do some HTML rendering,
which requires QtWebKit I suppose. But why is the test suite trying to
run these tests if QtWebKit is explicitly disabled?

The 'check' phase currently doesn't take the 'tests?' keyword parameter
into consideration. Maybe you could add that to your patch.

After disabling the tests, I tried a few things, like loading some
OpenStreetMap data from a database and making a map with it, and
I didn't see any issue. So I think you can add the failing tests to the
list of disabled tests.